import request from '@/utils/http/index';
// 资产列表
export const getCreditPage = (params) => {
  return request.get('/Loan/page', params);
};
// 根据id获取资产详情
export const getCredit = (id) => {
  return request.get('/Loan/getById?id=' + id);
};
// 根据借款人查询所有的案件
export const listByBorrower = (id) => {
  return request.get('/Loan/listByBorrower?borrowerId=' + id);
};

// 根据借款人查询所有的跟进记录
export const getTrackRecordPage = (id) => {
  return request.get('/Loan/getTrackRecords?borrowerId=' + id);
};

// 根据借款人查询所有的减免记录
export const getReduces = (id) => {
  return request.get('/Loan/getReduces?borrowerId=' + id);
};

// 根据借款人查询所有的分期记录
export const getByStages = (id) => {
  return request.get('/Loan/getByStages?borrowerId=' + id);
};

// 根据借款人查询所有的还款记录
export const getRepayRecords = (id) => {
  return request.get('/Loan/getRepayRecords?borrowerId=' + id);
};

// 还款申请保存
export const saveRepayRecord = (data) => {
  return request.post('/repayRecord/save', data);
};

// 减免申请保存
export const saveReduce = (data) => {
  return request.post('/reduce/save', data);
};

// 分期申请保存
export const savebyStages = (data) => {
  return request.post('/byStages/save', data);
};

// 保存案件跟踪记录
export const saveTrackRecord = (data) => {
  return request.post('/TrackRecord/save', data);
};
